import { OnInit } from '@angular/core';
import { AbstractVariable } from '@iotize/tap/data';
import { ActionItem } from '../monitoring-actions/monitoring-actions.component';
export interface TapVariableButton {
    label: string;
    value: any;
    icon?: string;
    disabled?: boolean;
}
declare type ActionItemExtension = (ActionItem & {
    value: number;
});
export declare class TapVariableButtonsComponent implements OnInit {
    checkedButtonIndex: number;
    set buttons(buttons: TapVariableButton[]);
    variable?: AbstractVariable<number>;
    error?: Error;
    actions: ActionItemExtension[];
    constructor();
    ngOnInit(): void;
    private _setActiveButton;
    handleError(err: Error): void;
}
export {};
